package cn.javacoder.test.tag;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.BodyTagSupport;

@SuppressWarnings("serial")
public class LoopTag extends BodyTagSupport {
	private int count;
	@Override
	public int doStartTag() throws JspException {
		return EVAL_BODY_BUFFERED;
	}
	@Override
	public int doEndTag() throws JspException {
		try {
			JspWriter writer = pageContext.getOut();
			writer.write(bodyContent.getString());
		} catch (Exception e) {
			throw new JspException(e);
		}
		return EVAL_PAGE;
	}
	@Override
	public int doAfterBody() throws JspException {
		if(count <= 0) {
			return SKIP_BODY;
		} else {
			count --;
			return EVAL_BODY_AGAIN;
		}
	}
	public void setCount(int count) {
		this.count = count;
	}
}
